<form [formGroup]="form" (ngSubmit)="onSubmit()">

  <div class="form-group">
    <label for="typePresta">type</label>
    <input formControlName="typePresta" type="text" class="form-control" id="typePresta">
    <div class="alert alert-danger" *ngIf="form.controls['typePresta'].invalid && form.controls['typePresta'].touched">Ce champ est obligatoire</div>
  </div>

  <div class="form-group">
    <label for="client">client</label>
    <input formControlName="client" type="text" class="form-control" id="client">
    <div class="alert alert-danger" *ngIf="form.controls['client'].errors?.required && form.controls['client'].touched">Ce champ est obligatoire</div>
    <div class="alert alert-danger" *ngIf="form.controls['client'].errors?.minlength && form.controls['client'].touched">Ce champ doit faire 2 caractères</div>
  </div>

  <div class="form-group">
    <label for="nbJours">nbJours</label>
    <input formControlName="nbJours" type="number" class="form-control" id="nbJours">
  </div>

  <div class="form-group">
    <label for="tjmHt">tjmHt</label>
    <input formControlName="tjmHt" type="number" class="form-control" id="tjmHt">
  </div>

  <div class="form-group">
    <label for="tva">tva</label>
    <input formControlName="tva" type="number" class="form-control" id="tva">
  </div>

  <div class="form-group">
    <label for="state">state</label>
    <select formControlName="state" class="form-control" id="state">
      <option *ngFor="let state of states" [value]="state">{{ state }}</option>
    </select>
  </div>

  <div class="form-group">
    <label for="comment">comment</label>
    <textarea formControlName="comment" class="form-control" id="comment"></textarea>
  </div>

  <button type="submit" class="btn btn-primary" [disabled]="form.invalid">Enregistrer</button>
</form>
